# Django Activity Logger

Middleware to log user activities in Django (IP, path, method, status code, user agent, and more).

## Features

- Logs every authenticated user request
- Saves method, path, status, IP address, and user agent
- Easy integration via middleware
- Customizable for more tracking (e.g., GeoIP, duration, request data)

## Installation

```bash
pip install modar-django-activity-logger-plus



INSTALLED_APPS = [
    ...
    'activity_logger',
]


MIDDLEWARE = [
    ...
    'activity_logger.middleware.ActivityMiddleware',
]
